aboutsummaryrefslogtreecommitdiff
path: root/backupninja
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 19:31:21 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 19:31:21 +0000
commit3b42ea2913d5aa8077aba9fe1761b824398f9804 (patch)
tree64bcbbc6876e27f863df0ef9e9346e22b8291294 /backupninja
parent8faf3506c7ee2a4a2f210d11d41ba91d9bd27eea (diff)
downloadslackbuilds-3b42ea2913d5aa8077aba9fe1761b824398f9804.tar.gz
slackbuilds-3b42ea2913d5aa8077aba9fe1761b824398f9804.tar.bz2
fixing permissions, part 1
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@455 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'backupninja')
-rwxr-xr-xbackupninja/backupninja.SlackBuild118
1 files changed, 118 insertions, 0 deletions
diff --git a/backupninja/backupninja.SlackBuild b/backupninja/backupninja.SlackBuild
new file mode 100755
index 00000000..5625a2c4
--- /dev/null
+++ b/backupninja/backupninja.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/bash
+#
+# slackbuild script for backupninja
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="backupninja"
+ARCH="noarch"
+VERSION=${VERSION:=0.9.3}
+BUILD=${BUILD:=5rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://dev.riseup.net/backupninja/download/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./autogen.sh
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+cp $CWD/rub $TMP/package-$PACKAGE/usr/share/$PACKAGE/
+rm -rf $TMP/package-$PACKAGE/etc/cron.d
+mkdir $TMP/package-$PACKAGE/etc/cron.hourly
+cp $CWD/backupninja.cron $TMP/package-$PACKAGE/etc/cron.hourly/backupninja
+chmod +x $TMP/package-$PACKAGE/etc/cron.hourly/backupninja
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+mkdir etc/backup.d
+
+mv etc/backupninja.conf etc/backupninja.conf.new
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+backupninja: backupninja (a silent flower blossom death strike to lost data)
+backupninja:
+backupninja: Backupninja allows you to coordinate system backup by dropping a few
+backupninja: simple configuration files into /etc/backup.d/. Most programs you
+backupninja: might use for making backups don't have their own configuration file
+backupninja: format. Backupninja provides a centralized way to configure and
+backupninja: schedule many different backup utilities.
+backupninja:
+backupninja:
+backupninja:
+backupninja:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS COPYING ChangeLog INSTALL NEWS README TODO; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+# install script
+echo '( if [ ! -f "etc/backupninja.conf" ]; then mv etc/backupninja.conf.new etc/backupninja.conf; fi )' > install/doinst.sh
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+